/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Instantbird messenging client, released
 * 2008.
 *
 * The Initial Developer of the Original Code is
 * Florian QUEZE <florian@instantbird.org>.
 * Portions created by the Initial Developer are Copyright (C) 2008
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */


#ifndef PURPLE_CONTENT_POLICY_H_
# define PURPLE_CONTENT_POLICY_H_

#include "nsIContentPolicy.h"

// 145afc60-ada0-4681-93f8-2468d012013b
#define PURPLE_CONTENT_POLICY_CID                               \
  { 0x145afc60, 0xada0, 0x4681,                                 \
      { 0x93, 0xf8, 0x24, 0x68, 0xd0, 0x12, 0x01, 0x3b }        \
  }

#define PURPLE_CONTENT_POLICY_CONTRACTID \
  "@instantbird.org/purple/contentpolicy;1"

#define NS_CONTENTPOLICY_CATEGORY "content-policy"

class purpleContentPolicy : public nsIContentPolicy
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_NSICONTENTPOLICY

  purpleContentPolicy();

private:
  ~purpleContentPolicy();

protected:
  /* additional members */
};

#endif /* !PURPLE_CONTENT_POLICY_H_ */
